# ----------------------------------------------------------
# --- Check availability of Synology Sensors
# ----------------------------------------------------------
checkSensors()
{
    # ----------------------------------------------------------
    # --- Determine the number of available CPU-Thermal sensors
    # ----------------------------------------------------------
    for (( c=1; c<=10; c++)) do
        if [ -e $Core'temp'$c'_input' ]; then
            cpu_count=$[cpu_count+1]
            cpu_name[$cpu_count]=$[c]
        fi
    done

    # ----------------------------------------------------------
    # --- Determine the number of available FAN-RPM sensors
    # ----------------------------------------------------------
    for (( c=1; c<=10; c++)) do
        if [ -e $i2c'fan'$c'_input' ]; then
            fan_count=$[fan_count+1]
            fan_name[$fan_count]=$[c]
        fi
    done

    # ----------------------------------------------------------
    # --- Determine the number of available i2c-Thermal sensors
    # ----------------------------------------------------------
    for (( c=1; c<=10; c++)) do
        if [ -e $i2c'temp'$c'_input' ]; then
            i2c_count=$[i2c_count+1]
            i2c_name[$i2c_count]=$[c]
        fi
    done
} # --- End of [checkSensors]
